{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Hazards ({{ hazard_list.count }} total)</title>
    <link href="{% static 'bootstrap.min.css' %}" rel="stylesheet" type="text/css">
    <link href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css"
          integrity="sha512-xodZBNTC5n17Xt2atTPuE1HxjVMSvLVW9ocqUKLsCC5CXdbqCmblAshOMAS6/keqq/sMZMZ19scR4PsZChSR7A=="
          crossorigin="" rel="stylesheet" type="text/css"/>
    <style rel="stylesheet" type="text/css">
        .close {float: left !important;}
        .i-circle-add {background: #006000; color: #fff; margin: 0 0 0 10px; border-radius: 50%; padding: 0 5px; font-size: large;}
        .i-circle-haz {background: #600000; color: #fff; margin: 0 0 0 10px; border-radius: 50%; padding: 0 7px; font-size: large;}
        .hazard {color: #600000;font-weight: 700;}
        a:hover {text-decoration: none;}
    </style>
</head>
<body class="text-left container-fluid" dir="rtl">
<div class="row">
    <div id="hazard_list" class="col-lg">
                <div class="alert alert-warning m-2 w-100 text-right">
                    <a href="/hazards/add/" class="hazard">
                        <span class="i-circle-add">+</span>
                        Add hazard
                    </a>
                </div>
                <div class="alert alert-warning m-2 w-100 text-right">
                    <a href="/hazards/new/" class="hazard">
                        <span class="i-circle-add">+</span>
                        New hazard
                    </a>
                </div>
        {% for h in object_list %}
            <div class="alert alert-warning m-2 w-100 text-right">
                <a data-toggle="collapse" href="#hazard_details" role="button" aria-controls="hazard_details"
                   class="hazard view" data-abs-url="{{ h.get_absolute_url }}">
                    <span class="i-circle-haz">!</span>
                    {{ forloop.counter }}.{{ h }}
                </a>
            </div>
        {% endfor %}
    </div>
    <div id="hazard_details" class="col-lg-6 collapse">
        <div class="alert alert-dark m-2 w-100 text-right">
            <button class="close">&times;</button>
            <div id="hazard_content" class="mb-3 pt-2"></div>
        </div>
    </div>
</div>

<script src="{% static 'jquery-3.6.0.min.js' %}" type="text/javascript"></script>
<script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js" type="text/javascript"
        integrity="sha512-XQoYMqMTK8LvdxXYG3nZ448hOEQiglfqkJs1NOQV44cWnUrBc8PkAOcXy20w0vlaXaVUearIOBhiXZ5V3ynxwA=="
        crossorigin=""></script>
<script src="{% static 'bootstrap.min.js' %}" type="text/javascript"></script>
<script type="text/javascript">
    $(document).ready(function (){
       {#let site = location.hash;#}
       let idx = Number(location.hash.split('/').pop());
       if (idx > 0 && idx <= $('#hazard_list > .alert > .hazard').length) {
           $($('#hazard_list > .alert > .hazard')[idx]).trigger('click');
       }

       {#// console.log(site);#}
    });
    let show_hazard = function (e) {
        // console.debug('show_hazard');
        let hazard = $(e.target);
        e.stopPropagation();
        e.preventDefault();
        {#// console.log(hazard);#}
        // console.log(hazard.data('abs-url'));
        $.get(hazard.data('abs-url')).done(function (html) {
            $('#hazard_content').html(html);
            $('#hazard_details').show();
            //// console.debug(html);
            // return false;
        });
    };

    let show_site = function (e) {
        // console.debug('show_site');
        let site = $(e.target);
        e.stopPropagation();
        e.preventDefault();
        location.href = site.data('abs-url');
            {#$.get(site.data('abs-url')).done(function (html) {#}
            {#    // console.log(html);#}
            {#    $('#hazard_content').html(html);#}
            {#    $('#hazard_details').show();#}
            {#    //// console.debug(html);#}
            {#    // return false;#}
            {# }); #}
    };

    let close_hazard = function () {
        // console.log('close_hazard');
        $('#hazard_content').html('');
        $('#hazard_details').hide();
    };

    $('.close').on('click', close_hazard);
    $('.view').on('click', show_hazard);
    $('.site').on('click', show_site);

</script>
</body>
</html>
